/****************************************************
  Projekt: TMC429+TMC26x-Eval

  Modul:   Eval429-TMC424.h
           Funktionen fr den TMC424

  Datum:   7.3.2011 OK
*****************************************************/

#ifndef __EVAL429_TMC424_H
#define __EVAL429_TMC424_H


#define TMC423_ENC_CONF_1 0x00
#define TMC423_ENC_CONF_2 0x02
#define TMC423_ENC_CONF_3 0x04
#define TMC423_ENC_CONF_ALL 0x06
#define TMC423_WRITE 0x01

#define TMC423_POL_ACTHI 0x08
#define TMC423_HOLD_ON_N 0x04
#define TMC423_CLEAR_ON_N 0x02
#define TMC423_TRIG_ALWAYS 0x01
#define TMC423_ADD_CCW 0x80

#define TMC423_ENC_DATA_1 0x08
#define TMC423_ENC_DATA_2 0x0A
#define TMC423_ENC_DATA_3 0x0C

#define TMC423_STEP_PULSE_DELAY 0x07

#define TMC423_INT_CTRL 0x10
#define TMC423_FREEZE 0x80
#define TMC423_INT_ON_N 0x40
#define TMC423_CLR_FLAGS 0x20

void ReadWrite423(UCHAR *Read, UCHAR *Write);
void Write423Bytes(UCHAR Address, UCHAR HiByte, UCHAR MidByte, UCHAR LoByte);
void SetEncoderPrescaler(UCHAR Index, UINT Prescaler, UCHAR SpecialFunctionBits);
int ReadEncoder(UCHAR Index);
void WriteEncoder(UCHAR Index, int Value);

#endif
